#
# Tobias Grimm <tg@e-tobi.net> 
#
# Set all database parameters in the xxv's config file (used by postinst)
#

use Config::Tiny;

my $Config = Config::Tiny->read($ARGV[1]) or die Config::Tiny::errstr;

if ($ARGV[0] eq "--db")
{
    my $dbserver   = $ARGV[2];
    my $dbport     = $ARGV[3];
    my $dbdatabase = $ARGV[4];
    my $dbuser     = $ARGV[5];
    my $dbuserpass = $ARGV[6];

    $Config->{General}->{USR} = $dbuser;
    $Config->{General}->{PWD} = $dbuserpass;
    $Config->{General}->{DSN} = "DBI:mysql:database=${dbdatabase};" .
      "host=${dbserver};port=${dbport}";
}
elsif ($ARGV[0] eq "--ports")
{
    my $porthttp = $ARGV[2];
    my $porttelnet = $ARGV[3];
    my $portinterface = $ARGV[4];
    my $porticecast = $ARGV[5];
    my $portwap = $ARGV[6];

    $Config->{HTTPD}->{Port} = $porthttp;
    $Config->{TELNET}->{Port} = $porttelnet;
    $Config->{INTERFACE}->{Port} = $portinterface;
    $Config->{MUSIC}->{port} = $porticecast;
    $Config->{WAPD}->{Port} = $portwap;
}

$Config->write($ARGV[1]) or die Config::Tiny::errstr;
